5,597,647 Members 33,226 Now Online
XDA Developers Android and Mobile Development Forum

[Q] Model ID error

Tip us?
 
SaidJan
Old
#1  
Junior Member - OP
Thanks Meter 0
Posts: 14
Join Date: Nov 2013
Default [Q] Model ID error

This is my HTC Desire information:

My phone is HTC Desire.
Andoird: 2.2
Baseband ver: 2.15.00.11.16
Kernel ver: 2.6.32.21
Build number: 2.11.573.5 CL325935
Software number: 2.11.573.5
PRI ver: 1.70
PRL ver: 15114
hboot: 6.93.9999
Radio- 2.15.00.11.16
Dec 22 2010

I wanna upgrade to andoird 2.3.7
1- Can you please give me the download link for that? Because I got a file and it gives error 130.
2- I downloaded two files from alpharev.nl. one of them is img and the other one is zip.
I browse for these two files in Fastboot Commander program. One of them in Hboot/spl and the other one in Recovery and then flashed both. Then I browse for zip file in Full Zip tab and and flashed that one,too.
I was not folllowing a guide. I just tried them, because the monitor was black, I thought maybe these files get it fixed.
I think I flashed "Bravo CM7 r2" files(both of .img file in the zip file). But I'm not sure which files are for my cellphone.
I executed this file "PB9940000_BravoC_hboot_1.09.0000_USC_UTSI" which is for my cellphone, and I'm sure about it, because in flashboot screen I see BravoC and my cellphone is US Cellular. Now the monitor is on, but whenever I turn off and on the cellphone, it is in fastboot screen. When I want to go to the Recovery menu, it restarts.
I think I should copy a PB99IMG.zip file in sd card, but I don't know where I can find the file.
What can I do?
Please help me.
 
eddiehk6
Old
#2  
eddiehk6's Avatar
Senior Member
Thanks Meter 437
Posts: 1,175
Join Date: Dec 2010
Location: London
This is the main problem:
Quote:
Originally Posted by SaidJan View Post
I was not folllowing a guide.
If you don't know what you're doing, find a guide first. If it doesn't make sense -> ask before you try anything.

If you definitely have a CDMA Desire (BravoC without SIM card slot) then read this first...

- You are lucky you didn't actually flash any of the hboots from alpharev. They are for GSM Desires, not CDMA. You would have bricked it if you successfully flashed it.

- Next try understand what you're doing. Even if you could flash the hboot, it won't upgrade your desire to 2.3.7. These only repartition your internal memory.

- It looks like you are already s-off as your hboot version is 6.93.9999. Can you confirm this? Power off and boot to bootloader (Volume down + power), post everything it says at the top of the screen.

What I believe is that your recovery is somehow corrupted. You simply need to reflash recovery, full wipe and flash a ROM which is compatible with CDMA desire (you could hopefully find one with Android 2.3.7 or higher).
- Download the recovery.zip from here, halfway through 1st post: (Desire CDMA) link.
- Extract the .zip, and find the recovery.img file.
- Use a guide, flash the recovery.img through fastboot commands
- You should now be able to boot into 4EXT recovery.
- A custom rom is likley to require an sd-card partition, so backup sd card and partition with 4EXT recovery
- Find a ROM which is compatible with CDMA Desire, copy ROM.zip to sdcard.
- Nandroid backup (backup existing ROM in case you need to recover things from it later)
- "Wipe all partitions except sdcard" within 4EXT Recovery
- Flash ROM.zip

My knowledge is mainly to do with GSM Desire, never worked with CDMA. Main thing you need to realise is that a lot of the development work is focussed on GSM version. Anything you flash / install must be compatible with your CDMA desire.
Device: Nexus 5 | ROM: SlimKat | Recovery: TWRP

Retired: HTC Desire
_____________________________________________
let's all try to get along ...but remember to search first...
The Following 2 Users Say Thank You to eddiehk6 For This Useful Post: [ Click to Expand ]
 
SaidJan
Old
#3  
Junior Member - OP
Thanks Meter 0
Posts: 14
Join Date: Nov 2013
Quote:
Originally Posted by eddiehk6 View Post
This is the main problem:

If you don't know what you're doing, find a guide first. If it doesn't make sense -> ask before you try anything.

If you definitely have a CDMA Desire (BravoC without SIM card slot) then read this first...

- You are lucky you didn't actually flash any of the hboots from alpharev. They are for GSM Desires, not CDMA. You would have bricked it if you successfully flashed it.

- Next try understand what you're doing. Even if you could flash the hboot, it won't upgrade your desire to 2.3.7. These only repartition your internal memory.

- It looks like you are already s-off as your hboot version is 6.93.9999. Can you confirm this? Power off and boot to bootloader (Volume down + power), post everything it says at the top of the screen.

What I believe is that your recovery is somehow corrupted. You simply need to reflash recovery, full wipe and flash a ROM which is compatible with CDMA desire (you could hopefully find one with Android 2.3.7 or higher).
- Download the recovery.zip from here, halfway through 1st post: (Desire CDMA) link.
- Extract the .zip, and find the recovery.img file.
- Use a guide, flash the recovery.img through fastboot commands
- You should now be able to boot into 4EXT recovery.
- A custom rom is likley to require an sd-card partition, so backup sd card and partition with 4EXT recovery
- Find a ROM which is compatible with CDMA Desire, copy ROM.zip to sdcard.
- Nandroid backup (backup existing ROM in case you need to recover things from it later)
- "Wipe all partitions except sdcard" within 4EXT Recovery
- Flash ROM.zip

My knowledge is mainly to do with GSM Desire, never worked with CDMA. Main thing you need to realise is that a lot of the development work is focussed on GSM version. Anything you flash / install must be compatible with your CDMA desire.
Actually, after 3 days working on it, I could fix it. I had deleted the recovery, and everything. I intalled the reovery and then Rom, and now it's running normally.
Can you please tell me what custom Rom is the best? Can I install Android 4.x ?

Thank you
 
Chromium
Old
#4  
Chromium's Avatar
Recognized Contributor
Thanks Meter 4710
Posts: 4,037
Join Date: Oct 2012
Location: Toronto

 
DONATE TO ME
Quote:
Originally Posted by SaidJan View Post
Actually, after 3 days working on it, I could fix it. I had deleted the recovery, and everything. I intalled the reovery and then Rom, and now it's running normally.
Can you please tell me what custom Rom is the best? Can I install Android 4.x ?

Thank you
No one can tell you what rom is the best. Pick a rom, or try a few out, then decide which one suits your needs the best.
Yes you can install android 4+. There are roms in the development section ranging from 4.0-4.4.
The Following User Says Thank You to Chromium For This Useful Post: [ Click to Expand ]
 
SaidJan
Old
#5  
Junior Member - OP
Thanks Meter 0
Posts: 14
Join Date: Nov 2013
I've installed the cyanogenmod 7.2 (Andoird 2.3.7) and it's working ok.

Now I have another problem:
1- ADB works, Fastboot doesn't work. I installed intel USB3 driver for win8 64bit, but didn't work. I also installed 3 versions of HTC Android phone.

2- The hboot version is 1.09. how can I downgrade it to 1.06 or lower? The phone is S-On and because it's 1.09 I can't use Revolutionary.

Thanks
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes


TRENDING IN THEMER...